For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList generation sessions
      • POSTCreate a generation session
      • GETGet session details
      • DELDelete a generation session
      • PATCHUpdate a generation session
      • POSTAppend an event to a session
Dashboard
LogoLogo
Runtype APIProduct Generation

Update a generation session

PATCH
/v1/products/generation/sessions/:id
PATCH
/v1/products/generation/sessions/:id
$curl -X PATCH https://api.runtype.com/v1/products/generation/sessions/id \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "plan": {
> "capabilities": [
> "chat",
> "search"
> ],
> "surfaces": [
> "widget"
> ]
> },
> "status": "generating"
>}'
1{
2 "assemblyState": {},
3 "catalogVersion": "string",
4 "createdAt": "string",
5 "expiresAt": "string",
6 "id": "string",
7 "organizationId": "string",
8 "plan": {},
9 "prd": {},
10 "productObject": {},
11 "productObjectHash": "string",
12 "schemaVersion": "string",
13 "status": "intake",
14 "updatedAt": "string",
15 "userId": "string"
16}
Updates session fields including status, PRD, plan, product object, and assembly state.
Was this page helpful?
Previous

Append an event to a session

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired
Session ID

Request

This endpoint expects an object.
assemblyStatemap from strings to anyOptional
planmap from strings to anyOptional
prdmap from strings to anyOptional
productObjectmap from strings to anyOptional
productObjectHashstringOptional
statusenumOptional
Allowed values:

Response

Updated session
assemblyStatemap from strings to any or null
catalogVersionstring or null
createdAtstring
expiresAtstring
idstring
organizationIdstring or null
planmap from strings to any or null
prdmap from strings to any or null
productObjectmap from strings to any or null
productObjectHashstring or null
schemaVersionstring or null
statusenum
Allowed values:
updatedAtstring
userIdstring

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error